Skip to main content
POST
/
v1
/
debtors
Create or update administration debtors
curl --request POST \
  --url https://api.paytsoftware.com/v1/debtors \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "administration_id": "<string>",
  "debtors": [
    {
      "debtor_number": "<string>",
      "name": "<string>",
      "debtor_identifier": "<string>",
      "bank_account_name": "<string>",
      "bank_account_number": "<string>",
      "category": "<string>",
      "coc_number": "<string>",
      "contact_identifier": "<string>",
      "country_code": "<string>",
      "language_code": "<string>",
      "oin_number": "<string>",
      "peppol_identifier": "<string>",
      "relation_manager": "<string>",
      "remark": "<string>",
      "vat_number": "<string>",
      "is_company": true,
      "peppol_enabled": true,
      "labels": [
        "<string>"
      ]
    }
  ]
}
'
{
  "success": true,
  "count": 98,
  "errors": {
    "123456": [
      "Validation error 1",
      "Validation error 2"
    ],
    "123461": [
      "Validation error"
    ]
  },
  "warnings": {
    "123457": [
      "Warning message 1",
      "Warning message 2"
    ]
  }
}

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Body

Create or update administration debtors

administration_id
string
required

Administration identifier

debtors
object[]
required

Response

Debtors created

CustomerApi_SuccessEntity model

success
boolean
required

Request was handled successfully

count
integer<int32>
required

Number of records processed, those without errors

Example:

98

errors
object
required

List of records that could not be processed and for which reasons

Example:
{
"123456": ["Validation error 1", "Validation error 2"],
"123461": ["Validation error"]
}
warnings
object

List of records that were partially processed, the messages contain warnings

Example:
{
"123457": ["Warning message 1", "Warning message 2"]
}
Last modified on June 12, 2026